libzypp 17.38.5

provide.h File Reference
`#include <zypp-core/ng/base/base.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/MirroredOrigin.h>`
`#include <zypp-core/ManagedFile.h>`
`#include <zypp-media/ng/LazyMediaHandle>`
`#include <zypp/media/MediaManager.h>`
`#include <zypp-core/ng/pipelines/expected.h>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | zyppng::ProvideMediaHandle
class | zyppng::ProvideRes
class | zyppng::Provide

## Namespaces
namespace | zyppng

## Typedefs
using | zyppng::ProvideRes = Provide::Res

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (Provide)
| zyppng::DEFINE_PTR_TYPE (AttachedMediaInfo)